<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syslib__macros__reset__cause" kind="group">
    <compoundname>group_syslib_macros_reset_cause</compoundname>
    <title>Reset cause</title>
      <sectiondef kind="define">
      <memberdef id="group__group__syslib__macros__reset__cause_1ga3a56e49329f1b1a8b0f3f01b23982e3f" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_HWWDT</name>
        <initializer>(0x0001U)</initializer>
        <briefdescription>
<para>A basic WatchDog Timer (WDT) reset has occurred since the last power cycle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="591" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="591" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1gaf98e87e2c0964035aa2098762724b30b" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_ACT_FAULT</name>
        <initializer>(0x0002U)</initializer>
        <briefdescription>
<para>The fault logging system requested a reset from its Active logic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="593" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="593" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1gaa0ecb786558344cda8cdd667d8d01801" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_DPSLP_FAULT</name>
        <initializer>(0x0004U)</initializer>
        <briefdescription>
<para>The fault logging system requested a reset from its Deep-Sleep logic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="595" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="595" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1gaab329c3d83a4e66c6d77fc3dbc746a39" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_SOFT</name>
        <initializer>(0x0010U)</initializer>
        <briefdescription>
<para>The CPU requested a system reset through it's SYSRESETREQ. </para>        </briefdescription>
        <detaileddescription>
<para>This can be done via a debugger probe or in firmware. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="597" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="597" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1ga7576c814eb77306bfda9a9edecb14a70" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_SWWDT0</name>
        <initializer>(0x0020U)</initializer>
        <briefdescription>
<para>The Multi-Counter Watchdog timer #0 reset has occurred since the last power cycle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="599" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="599" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1ga07916f36b0a552bb53f5dd507fd464ea" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_SWWDT1</name>
        <initializer>(0x0040U)</initializer>
        <briefdescription>
<para>The Multi-Counter Watchdog timer #1 reset has occurred since the last power cycle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="601" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="601" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1ga37988ee67e1330dd35382c557497b24e" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_SWWDT2</name>
        <initializer>(0x0080U)</initializer>
        <briefdescription>
<para>The Multi-Counter Watchdog timer #2 reset has occurred since the last power cycle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="603" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="603" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1gabb8cdf49ff0e9fd12f7f8c9a8cde6d52" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_SWWDT3</name>
        <initializer>(0x0100U)</initializer>
        <briefdescription>
<para>The Multi-Counter Watchdog timer #3 reset has occurred since the last power cycle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="605" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="605" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__reset__cause_1gad30b17c4bd7e48fd4628d4ee56cace84" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_RESET_HIB_WAKEUP</name>
        <initializer>(0x40000UL)</initializer>
        <briefdescription>
<para>The reset has occurred on a wakeup from Hibernate power mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="607" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="607" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Define RESET_CAUSE mask values. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>